Filtered list rendered incorrectly after refresh

Bug #1309369 reported by Reinis Zumbergs
148
This bug affects 26 people
Affects Status Importance Assigned to Milestone
synaptic (Debian)
Fix Released
Unknown
synaptic (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

Xubuntu 14.04 amd64 upgraded from 13.10

synaptic 0.81.1

1) Open Synaptic
2) (with apt-xapian-index) Search for something in Quick filter
3) Choose a package and mark it for changed status
4) List refreshes and item count is the same but these are "phantom" items from the top of this same listing, but as if it was not filtered
5) Move cursor over the list and the real items are revealed

 - Intel Graphics card
 - Bug reproducible both when Xfwm compositing is enabled and disabled

See attached video

Revision history for this message
Reinis Zumbergs (reinis-zumbergs) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in synaptic (Ubuntu):
status: New → Confirmed
Revision history for this message
John Littleton (jelittleton) wrote :

This bug also occurs in ubuntu 14.04 from a clean install (no upgrade).

- Intel i5 3570k with integrated graphics

Revision history for this message
Phil Wright (jozubiso) wrote :

Also occurs on clean install of Xubuntu 14.04 x64 on 2 (very) different computers.

Revision history for this message
M4he (mahe) wrote :

I can confirm this on an Intel HD 4000 using a MacBook Air running a clean install of the latest Xubuntu 14.04.

I just tried switching to the older UXA acceleration backend instead of SNA but the issue persists. It's at least unrelated to the Intel driver's acceleration method. (SNA caused graphics/redraw errors on GTK for me in the past, that's why I tried it)

Revision history for this message
Richard Quirk (quirky) wrote :

I've hacked in this fix for it - this forces the tree view to refresh after a package selection change. No idea of the side effects, but "works for me". It still has a little visual flicker after selection change but at least there are no more phantom entries.

--- gtk/rgmainwindow.cc.orig 2014-05-01 09:34:54.963186517 +0200
+++ gtk/rgmainwindow.cc 2014-05-01 09:34:59.667186333 +0200
@@ -314,7 +314,7 @@ void RGMainWindow::refreshTable(RPackage
       _lister->limitBySearch(str);
    }

- if(_pkgList == NULL)
+ //if(_pkgList == NULL)
    {
       _pkgList = GTK_TREE_MODEL(gtk_pkg_list_new(_lister));
       gtk_tree_view_set_model(GTK_TREE_VIEW(_treeView),

Revision history for this message
Biji (biji) wrote :

geforce gt 630m

Revision history for this message
JMB (jmb-tux) wrote :

Will a fix be provided (as indicated in comment #6) - e.g. via a PPA?
I am willing to test.

Revision history for this message
Richard Quirk (quirky) wrote :

I'm not an Ubuntu developer, just some random guy on the internet. But here you go https://launchpad.net/~quirky/+archive/synaptic

Revision history for this message
JMB (jmb-tux) wrote :

Thanks for the PPA - it works for me.
Ubuntu should provide this or a similar patch via standard repositories ... if LTS should mean something.

Revision history for this message
Richard Quirk (quirky) wrote :

Heh, I wouldn't hold your breath JMB. LTS is usually only for security fixes, and this is merely cosmetic. Also synaptic doesn't have the little Ubuntu symbol by it, which means it is "unsupported" or something.

Revision history for this message
Scott Talbert (swt-techie) wrote : Re: [Bug 1309369] Re: Filtered list rendered incorrectly after refresh

On Thu, 8 May 2014, Richard Quirk wrote:

> Heh, I wouldn't hold your breath JMB. LTS is usually only for security
> fixes, and this is merely cosmetic. Also synaptic doesn't have the
> little Ubuntu symbol by it, which means it is "unsupported" or
> something.

They do make bug fixes in LTS releases, too, but I'm not sure if this will
meet the criteria or not. The lack of Ubuntu symbol means that the
package is community-supported, ie, not supported by Canonical.

Changed in synaptic (Debian):
status: Unknown → New
Michael Vogt (mvo)
Changed in synaptic (Ubuntu Utopic):
status: Confirmed → Triaged
status: Triaged → Fix Committed
Changed in synaptic (Ubuntu Trusty):
status: New → In Progress
Revision history for this message
Michael Vogt (mvo) wrote :

Sorry for the trouble this bug causes.

It is fixed in utopic with the coming sync of synaptic 0.81.2. I uploaded a SRU with the fix, see the debian bugreport for the (small) patch.

Changed in synaptic (Debian):
status: New → Fix Released
Revision history for this message
Scott Kitterman (kitterman) wrote : Please test proposed package

Hello Reinis, or anyone else affected,

Accepted synaptic into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/synaptic/0.81.1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in synaptic (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Revision history for this message
Scott Talbert (swt-techie) wrote :

Tested synaptic 0.81.1ubuntu1 from trusty-proposed - the bug is resolved in this version.

tags: added: verification-done
removed: verification-needed
Revision history for this message
JMB (jmb-tux) wrote :

I would have liked to test the new version - it seems to be no longer available
(if I did not enter something wrong):

[code]
sudo vi /etc/apt/sources.list
  ## SYNAPTIC error with displaying old lines after selection:
 deb http://archive.ubuntu.com/ubuntu/ trusty-proposed restricted main multiverse universe
 # see: /etc/apt/preferences to avoid automatic updates from proposed!
 # - installed via: sudo apt-get install synaptic/trusty-proposed

sudo vi /etc/apt/preferences
  Package: *
  Pin: release a=trusty-proposed
  Pin-Priority: 400

sudo apt-get install synaptic/trusty-proposed
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  E: Release 'trusty-proposed' for 'synaptic' was not found
[/code]

Is there a possibility to test the new version myself?

When will the new version enter standard repositories?

Thanks in advance for the information!

Revision history for this message
Mateusz Stachowski (stachowski-mateusz) wrote :

I also confirm that the Synaptic from trusty-proposed fixes this bug.

Revision history for this message
Reinis Zumbergs (reinis-zumbergs) wrote :

Hi Scott,
I confirm that the issue is solved now. Thanks :)

Revision history for this message
Scott Talbert (swt-techie) wrote : Re: [Bug 1309369] Re: Filtered list rendered incorrectly after refresh

On Sun, 18 May 2014, JMB wrote:

> I would have liked to test the new version - it seems to be no longer available
> (if I did not enter something wrong):
>
> [code]
> sudo vi /etc/apt/sources.list
> ## SYNAPTIC error with displaying old lines after selection:
> deb http://archive.ubuntu.com/ubuntu/ trusty-proposed restricted main multiverse universe
> # see: /etc/apt/preferences to avoid automatic updates from proposed!
> # - installed via: sudo apt-get install synaptic/trusty-proposed
>
> sudo vi /etc/apt/preferences
> Package: *
> Pin: release a=trusty-proposed
> Pin-Priority: 400
>
> sudo apt-get install synaptic/trusty-proposed
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> E: Release 'trusty-proposed' for 'synaptic' was not found
> [/code]
>
> Is there a possibility to test the new version myself?

I think it should still be there. Did you do a 'sudo apt-get update'
after you edited /etc/apt/sources.list?

> When will the new version enter standard repositories?

My guess would be probably in a day or two.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package synaptic - 0.81.1ubuntu1

---------------
synaptic (0.81.1ubuntu1) trusty-proposed; urgency=low

  * debian/patches/20_cherrypick_r2163.patch:
    - cherry pick fix for rendering corruption on list refresh
      (LP: #1309369)
 -- Michael Vogt <email address hidden> Fri, 16 May 2014 08:20:47 +0200

Changed in synaptic (Ubuntu Trusty):
status: Fix Committed → Fix Released
Revision history for this message
Scott Kitterman (kitterman) wrote : Update Released

The verification of the Stable Release Update for synaptic has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Revision history for this message
Rolf Leggewie (r0lf) wrote :

utopic has seen the end of its life and is no longer receiving any updates. Marking the utopic task for this ticket as "Won't Fix".

Changed in synaptic (Ubuntu Utopic):
status: Fix Committed → Won't Fix
Changed in synaptic (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.